Loading...
Searching...
No Matches
Condition node
Grammar nodes

A node that conditionally matches based on an expression. More...

Collaboration diagram for Condition node:

## Functions

struct ec_node * | ec_node_cond (const char *id, const char *cond_str, struct ec_node *child)
| Create a condition node.

## Detailed Description

A node that conditionally matches based on an expression.

Configuration Schema

schema cond {
string expr {
description "XXX";
}
node child {
description "The child node.";
}
}

## Function Documentation

## ec_node_cond()

struct ec_node * ec_node_cond | ( | const char * | id,
|  | const char * | cond_str,
|  | struct ec_node * | child )

Create a condition node.

The condition node checks that an expression is true before parsing/completing the child node. If it is false, the node doesn't match anything.

Parameters

  id | The node identifier.
  cond_str | The condition string. This is a function-based expression.
  child | The ecoli child node.

Returns
  The new ecoli cond node.